/* config.h.  Generated from config.h.in by configure.  */
/* config.h.in.  Generated from configure.ac by autoheader.  */

/* Define to the name of the directory in which ccache files will be stored by
   default. */
#define DEFAULT_CCACHE_DIR "/tmp"

/* Define to the default location for your keytab file, which will be used for
   verifying TGTs. */
#define DEFAULT_KEYTAB_LOCATION "FILE:/etc/krb5.keytab"

/* Define to the realm name which will be used if no realm is given as a
   parameter and none is given in krb5.conf. */
#define DEFAULT_REALM "EXAMPLE.COM"

/* Define to enable token-setting support. */
#define HAVE_AFS 1

/* Define to 1 if you have the <com_err.h> header file. */
#define HAVE_COM_ERR_H 1

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define if your krb5.h declares the error_message() function. */
#define HAVE_ERROR_MESSAGE_DECL 1

/* Define to 1 if you have the <et/com_err.h> header file. */
#define HAVE_ET_COM_ERR_H 1

/* Define to 1 if you have the `getpwnam_r' function. */
#define HAVE_GETPWNAM_R 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the `in_tkt' function. */
/* #undef HAVE_IN_TKT */

/* Define if you have the krb524_convert_creds_kdc function. */
#define HAVE_KRB524_CONVERT_CREDS_KDC 1

/* Define if you have the krb5_524_convert_creds function. */
#define HAVE_KRB5_524_CONVERT_CREDS 1

/* Define to 1 if the system has the type `krb5_const_realm'. */
/* #undef HAVE_KRB5_CONST_REALM */

/* Define if your krb5.h declares the krb5_copy_addr() function. */
/* #undef HAVE_KRB5_COPY_ADDR */

/* Define to 1 if `keyblock' is member of `krb5_creds'. */
#define HAVE_KRB5_CREDS_KEYBLOCK 1

/* Define to 1 if `session' is member of `krb5_creds'. */
/* #undef HAVE_KRB5_CREDS_SESSION */

/* Define to 1 if you have the `krb5_free_default_realm' function. */
#define HAVE_KRB5_FREE_DEFAULT_REALM 1

/* Define to 1 if you have the `krb5_free_unparsed_name' function. */
#define HAVE_KRB5_FREE_UNPARSED_NAME 1

/* Define if your krb5.h declares the krb5_get_all_client_addrs() function. */
/* #undef HAVE_KRB5_GET_ALL_CLIENT_ADDRS */

/* Define to 1 if you have the <krb5.h> header file. */
#define HAVE_KRB5_H 1

/* Define to 1 if you have the `krb5_init_secure_context' function. */
#define HAVE_KRB5_INIT_SECURE_CONTEXT 1

/* Define to 1 if `enctype' is member of `krb5_keyblock'. */
#define HAVE_KRB5_KEYBLOCK_ENCTYPE 1

/* Define to 1 if `keytype' is member of `krb5_keyblock'. */
/* #undef HAVE_KRB5_KEYBLOCK_KEYTYPE */

/* Define to 1 if you have the <krb5/krb5.h> header file. */
#define HAVE_KRB5_KRB5_H 1

/* Define if your krb5.h declares the krb5_os_hostaddr() function. */
/* #undef HAVE_KRB5_OS_HOSTADDR */

/* Define if your krb5.h declares the krb5_os_localaddr() function. */
#define HAVE_KRB5_OS_LOCALADDR 1

/* Define to 1 if you have the `krb5_set_principal_realm' function. */
#define HAVE_KRB5_SET_PRINCIPAL_REALM 1

/* Define to 1 if you have the `krb_in_tkt' function. */
/* #undef HAVE_KRB_IN_TKT */

/* Define to 1 if you have the `krb_life_to_time' function. */
/* #undef HAVE_KRB_LIFE_TO_TIME */

/* Define to 1 if you have the `krb_save_credentials' function. */
/* #undef HAVE_KRB_SAVE_CREDENTIALS */

/* Define to 1 if you have the `krb_time_to_life' function. */
/* #undef HAVE_KRB_TIME_TO_LIFE */

/* Define to 1 if you have the `54' library (-l54). */
/* #undef HAVE_LIB54 */

/* Define to 1 if you have the `crypt' library (-lcrypt). */
#define HAVE_LIBCRYPT 1

/* Define to 1 if you have the `dl' library (-ldl). */
#define HAVE_LIBDL 1

/* Define to 1 if you have the `krb524' library (-lkrb524). */
/* #undef HAVE_LIBKRB524 */

/* Define to 1 if you have the `pam' library (-lpam). */
#define HAVE_LIBPAM 1

/* Define to 1 if you have the `resolv' library (-lresolv). */
#define HAVE_LIBRESOLV 1

/* Define to 1 if the system has the type `long long'. */
#define HAVE_LONG_LONG 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define if you have the misc_conv function. */
#define HAVE_MISC_CONV 1

/* Define to 1 if you have the `save_credentials' function. */
/* #undef HAVE_SAVE_CREDENTIALS */

/* Define to 1 if you have the <security/pam_appl.h> header file. */
#define HAVE_SECURITY_PAM_APPL_H 1

/* Define to 1 if you have the <security/pam_misc.h> header file. */
#define HAVE_SECURITY_PAM_MISC_H 1

/* Define to 1 if you have the <security/pam_modules.h> header file. */
#define HAVE_SECURITY_PAM_MODULES_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the `strtoll' function. */
#define HAVE_STRTOLL 1

/* Define to 1 if you have the <sys/ioccom.h> header file. */
/* #undef HAVE_SYS_IOCCOM_H */

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the `__posix_getpwnam_r' function. */
/* #undef HAVE___POSIX_GETPWNAM_R */

/* Define to the application name, which defines which appdefaults section
   will be expected to hold this module's configuration in krb5.conf. */
#define PAM_KRB5_APPNAME "pam"

/* Add attribute tags to help spot format specifier problems. */
 #ifdef __GNUC__
 #define PAM_KRB5_GNUC_PRINTF(__x,__y) __attribute__((format(printf,__x,__y)))
 #else
 #define PAM_KRB5_GNUC_PRINTF(__x,__y)
 #endif


/* Define to the proper qualifier (either const or nothing) for your PAM
   implementation. */
#define PAM_KRB5_MAYBE_CONST const

/* Define to the principal name of the password-changing service for any given
   realm. */
#define PASSWORD_CHANGE_PRINCIPAL "kadmin/changepw"

/* The location of pam_krb5 helpers. */
#define PKGSECURITYDIR "/usr/local/lib/security/pam_krb5"

/* The location where the pam_krb5 module will be installed. */
#define SECURITYDIR "/usr/local/lib/security"

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

