#include <string.h>
#include <stdio.h>

typedef struct usrData * udataptr;
struct usrData {
//    const char * usrname;
  char usrname[45];
  char *uidnum, *gidnum;
  char *shell, *homedir;
  char pass;
  int ldap_res;
} localUser;

typedef struct myConfig * myConfigPtr;
struct myConfig {
  char use_ldap[4];
  const char * uid;
  char unid[30];
  char passwd_file[30];
  char shadow_file[30];
  char user_perms[4];
  char user_groups[255];
  char ldap_servers[255];
  char ldap_schema[4];
  char ldap_port[4];
  char ldap_bind_dn[255];
  char ldap_base_dn[255];
  char ldap_user[20];
  char ldap_pass[20];
  char def_uid[20];
  char def_gid[4];
  char def_home[30];
  char def_shell[30];
} localConfig;

#define CONFIG_FILE "/etc/pam_krb5+ldap.conf"
#define USERS_FILE "/etc/users"
